|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWSGLWindowSurface Class Reference
[QtOpenGL module]

The QWSGLWindowSurface class provides the drawing area for top-level windows in Qtopia Core on EGL/OpenGLES. It also provides the drawing area for QGLWidgets whether they are top-level windows or child widget of another QWidget. More...

     #include <QWSGLWindowSurface>

This class is under development and is subject to change.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QWSGLWindowSurface ( QWidget * window )
- QWSGLWindowSurface ()
- ~QWSGLWindowSurface ()
- QGLContext * context () const
- void setContext ( QGLContext * context )

## Detailed Description

The QWSGLWindowSurface class provides the drawing area for top-level windows in Qtopia Core on EGL/OpenGLES. It also provides the drawing area for QGLWidgets whether they are top-level windows or child widget of another QWidget.

Note that this class is only available in Qtopia Core and only available if Qt is configured with OpenGL support.

## Member Function Documentation

### QWSGLWindowSurface::QWSGLWindowSurface ( QWidget * window )

Constructs an empty QWSGLWindowSurface for the given top-level window. The window surface is later initialized from chooseContext() and resources for it is typically allocated in setGeometry().

### QWSGLWindowSurface::QWSGLWindowSurface ()

Constructs an empty QWSGLWindowSurface.

### QWSGLWindowSurface::~QWSGLWindowSurface ()

Destroys the QWSGLWindowSurface object and frees any allocated resources.

### QGLContext * QWSGLWindowSurface::context () const

Returns the QGLContext of the window surface.

See also setContext().

### void QWSGLWindowSurface::setContext ( QGLContext * context )

Sets the QGLContext for this window surface to context.

See also context().